Bug 2144105 - f37 isos / isoinfo can not list content
Summary: f37 isos / isoinfo can not list content
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomír Sedlář
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-19 00:16 UTC by Leon Fauster
Modified: 2023-12-06 11:27 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-06 11:27:35 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Leon Fauster 2022-11-19 00:16:28 UTC
Description of problem:


################# DVD ISO ###################

while trying to virt-install f37 following was found:

# isoinfo -J -i 'Fedora-Server-dvd-x86_64-37-1.7.iso' 
isoinfo: Unable to find Joliet SVD


# LANG=C virt-install ........
Starting install...
ERROR    Command '['isoinfo', '-J', '-i', '/srv/pool/Distros/Fedora-Server-dvd-x86_64-37-1.7.iso', '-f']' returned non-zero exit status 255.
Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///system start sys-f37-x86-partest
otherwise, please restart your installation.


################# NETINST ISO ###################

# LANG=C virt-install -n sys-f37-x86-partest .............
Starting install...
ERROR    Couldn't find kernel for install tree.
Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///system start sys-f37-x86-partest
otherwise, please restart your installation.


The netinst iso can be read by isoinfo but virt-install does not find the kernel?

Comment 1 Kevin Fenzi 2022-11-20 17:50:38 UTC
This iso is created by pungi, so moving there. 

Added Adam to CC since I think this is something we tested?

Comment 2 Adam Williamson 2022-11-20 18:34:26 UTC
Well, I'm not sure exactly what Leon's doing here. What's the significance of the `isoinfo` command? Is this something `virt-install` runs? What are the exact actual `virt-install` commands being used here?

We don't test virt-install using the ISO image, no. We use virt-install to create the base disk images openQA uses for testing - this isn't really a "test" per se, but I would probably notice if that broke (although if it fails we just keep using the old image, so I might not notice for a while...). However, that doesn't use ISOs as a base, we use `--location` and point it to an install tree for the release. So if this is specific to using virt-install with an ISO there's nothing we do that would necessarily catch that, no.

Comment 3 Adam Williamson 2022-11-20 18:35:43 UTC
The most likely cause of this is https://fedoraproject.org/wiki/Changes/BIOSBootISOWithGrub2 , btw, but I thought we already fixed virt-install's issues with this in https://bugzilla.redhat.com/show_bug.cgi?id=2103835 . maybe there's a path we missed there.

Comment 4 Leon Fauster 2022-11-20 20:08:12 UTC
Forget to mention that the environment is a RHEL8 Workstation ... not sure if that is fixed there.

- isoinfo apparently used by virt-install as above showed by the output of virt-install. 

- virt-install used with "--location /srv/pool/Distros/Fedora-Server-dvd-x86_64-37-1.7.iso".
  This has worked for me with F28-36 isos. Did a F36 vm kickstart install right now.

Comment 5 Lubomír Sedlář 2022-11-22 12:01:28 UTC
It looks like the problem is caused by missing Joliet tree on the DVD.
Xorriso does not create it automatically and the option for it was not used.
The fix is rather straighforward: https://pagure.io/pungi/pull-request/1642

Comment 6 Adam Williamson 2022-11-22 19:37:05 UTC
Ah, hmm. Well, that will fix it for future releases, but it of course will not fix it for the F37 release images, which will be around for some time. We might need to see if virt-install can come up with some kind of workaround for those images, I suppose.

Comment 7 Leon Fauster 2022-11-28 22:37:36 UTC
Thanks. What about the second part of the ticket. 

 ERROR    Couldn't find kernel for install tree.

The same virt-install cli line works with F36 but with F37 the above aborting error appears. 

Does this have to do with a dropped Bios boot support? I do not see any isolinux directory in the F37 image anymore.

I tried to add "--boot uefi" but the same error message. So, quite confusing. Any hints?

Comment 8 Ondřej Nosek 2022-12-13 11:13:27 UTC
The pungi release containing the fix is waiting in the Bodhi:
https://bodhi.fedoraproject.org/updates/FEDORA-2022-7129e598e3
https://bodhi.fedoraproject.org/updates/FEDORA-2022-4ef522eb04

Comment 9 Dusty Mabe 2022-12-22 19:45:38 UTC
(In reply to Leon Fauster from comment #7)
> Thanks. What about the second part of the ticket. 
> 
>  ERROR    Couldn't find kernel for install tree.
> 
> The same virt-install cli line works with F36 but with F37 the above
> aborting error appears. 
> 
> Does this have to do with a dropped Bios boot support? I do not see any
> isolinux directory in the F37 image anymore.
> 
> I tried to add "--boot uefi" but the same error message. So, quite
> confusing. Any hints?

I think the problem here is that the Fedora-Server-netinst-x86_64-37-1.7.iso doesn't have a .treeinfo file embedded in it. This wouldn't matter if libosinfo had the right location for the kernel and initrd but it doesn't (it needs to be fixed): https://gitlab.com/libosinfo/osinfo-db/-/blob/5b7bb778fb076ea1e9e76e2c89fd587669c71ff3/data/os/fedoraproject.org/fedora-37.xml.in#L66

Try specifying directly where to find the kernel and initrd:

```
--location /path/to/Fedora-Server-netinst-x86_64-37-1.7.iso,kernel=images/pxeboot/vmlinuz,initrd=images/pxeboot/initrd.img
```

Comment 10 Aoife Moloney 2023-11-23 00:32:44 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 11 Aoife Moloney 2023-12-06 11:27:35 UTC
Fedora Linux 37 entered end-of-life (EOL) status on None.

Fedora Linux 37 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.